| GET | /RestApi/ab-testing/tests |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Skip | query | int? | No | |
| Take | query | int? | No | |
| OrderExpression | query | string | No | |
| SearchText | query | string | No | |
| Status | query | ABTestStatus? | No | |
| MyTests | query | bool | No |
| NotStarted | |
| Scheduled | |
| Active | |
| Stopped | |
| Ended |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/tests HTTP/1.1 Host: www.asg.com.au Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Title":"String","Description":"String","StartDate":"\/Date(-62135596800000)\/","StopDate":"\/Date(-62135596800000)\/","Culture":"String","ReportUrl":"String","LastModified":"\/Date(-62135596800000-0000)\/","Status":"NotStarted","Owner":"String","WinnerVariationId":"00000000-0000-0000-0000-000000000000","SelectedVariationId":"00000000-0000-0000-0000-000000000000","PageNodeErrorMessage":"String","WarningMessage":"String","ApiKey":"String","UserSegmentId":"00000000-0000-0000-0000-000000000000"}]